What are the hardware & software requirements for Macintosh version of GanttProject?


(GanttProject Support) #1

From email:

I was unable to find this information on your web site.

Please specify the minimum

  1. Hardware and
  2. Software requirements

for GanttProject

Thank you.


(Dmitry Barashev) #2

Any computer capable of running Java 7+ is okay.
You can find system requirements for Java 7+ on Mac OSX at Oracle’s web site.

Yes, GanttProject requires Java Runtime version 7 or higher.


(GanttProject Support) #3

Discussion continues by email:
Really, gentlemen: Every Mac OS except Sierra WILL NOT RUN Java 7+. That really limits your potential market and therefore your profits! Your product really meets my needs, but neither of my personal computers nor those at my organization will run it and we are not willing to spend $1500 for the latest Mac version just to run your software.

Too bad, really.


(Dmitry Barashev) #4

Let me quote an excerpt from the page which I linked above

What are the system requirements for Java on my Mac?
Operating system requirements: For Java 7 and later versions, you will need an Intel-based Mac running Mac OS X version 10.7.3 (Lion) and above.

I can’t unfortunately test on 10.7, but on my old MacBook with MacOSX 10.9 Java 7 and GanttProject run just fine.

Why don’t you download Java Runtime and try yourself? It is free and takes just a couple of minutes.


(Dr. William Hamilton) #5

Thank you- I made a second attempt with mac running OSX 10.11.6 and was able to install Java 8. GanttProject now seems to run fine in the basic operations that I tested. I think that GanttProject will meet the requirements of our needs at present and I will recommend it to others in our organization. Thank you again for your support.